Page MenuHomePhabricator

[analyzer] Turn ReturnVisitor into a tracking visitor
ClosedPublic

Authored by vsavchenko on Jun 3 2021, 9:16 AM.

Details

Summary

Whenever Tracker spawns a visitor that needs to call tracker
back, we have to use TrackingBugReporterVisitor in order to maintain
all the hooks that the checker might've used.

Diff Detail

Event Timeline

vsavchenko created this revision.Jun 3 2021, 9:16 AM
vsavchenko requested review of this revision.Jun 3 2021, 9:16 AM
Herald added a project: Restricted Project. · View Herald TranscriptJun 3 2021, 9:16 AM
Herald added a subscriber: cfe-commits. · View Herald Transcript
NoQ accepted this revision.Jun 9 2021, 9:56 PM

Great!

This revision is now accepted and ready to land.Jun 9 2021, 9:56 PM
This revision was landed with ongoing or failed builds.Jun 11 2021, 2:52 AM
This revision was automatically updated to reflect the committed changes.